## org.gnu.gtk
Class FontSelectionDialog

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.Window
                                  org.gnu.gtk.Dialog
                                      org.gnu.gtk.FontSelectionDialog

public class FontSelectionDialog
extends Dialog

The FontSelectionDialog widget is a dialog for selecting a font. Filters can be used to limit the fonts shown. There are 2 filters in the FileSelectionDialog - a base filter and a user filter. The base filter cannot be changed by the user, so this can be used when the user must choose from the restricted set of fonts. The user filter can be changed or reset by the user, using the 'Reset Filter' button or changing the options on the 'Filter' page of the dialog.

Constructor Summary
`FontSelectionDialog(org.gnu.glib.Handle handle)` Construct a FontSelectionDialog using a handle to a native resource.
`FontSelectionDialog(java.lang.String title)` Construct a new FontSelectionDialog object.

Method Summary
`Button` `getApplyButton()` Return the Apply Button widget for this Dialog.
`Button` `getCancelButton()` Return the Cancel Button widget for this dialog.
`java.lang.String` `getFontName()` Gets the currently selected font name.
`static FontSelectionDialog` `getFontSelectionDialog(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`Button` `getOKButton()` Return the OK Button widget for this Dialog.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `setFontname(java.lang.String fontName)` Sets the currently selected font.
`void` `setPreviewText(java.lang.String text)` Sets the text displayed in the preview area.

Methods inherited from class org.gnu.gtk.Dialog
`addButton, addButton, addListener, addWidget, getActionArea, getDialog, getDialogLayout, getEventListenerClass, getEventType, getHasSeparator, getResponseForWidget, removeListener, run, setDefaultResponse, setHasSeparator`

Methods inherited from class org.gnu.gtk.Window

`addAccelGroup, deiconify, destroy, fullscreen, getAcceptFocus, getDefaultIconList, getFocusOnMap, getFocusWidget, getGravity, getIcon, getIconList, getIconName, getPosition, getScreen, getSize, getSkipPagerHint, getSkipTaskbarHint, getTitle, getTransientParent, getWindow, hasToplevelFocus, iconify, isActive, isDestroyed, listToplevelWindows, maximize, move, present, removeAccelGroup, resize, setAcceptFocus, setAutoStartupNotification, setDecorated, setDefaultIcon, setDefaultIconFromFile, setDefaultIconList, setDefaultIconName, setDefaultSize, setDefaultWidget, setFocusOnMap, setFocusWidget, setGeometryHints, setGravity, setIcon, setIconFromFile, setIconList, setIconName, setKeepAbove, setKeepBelow, setModal, setPosition, setResizable, setScreen, setSkipPagerHint, setSkipTaskbarHint, setTitle, setTransientParent, stick, unfullscreen, unmaximize, unstick`

Methods inherited from class org.gnu.gtk.Bin
`getChild`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontSelectionDialog

    public FontSelectionDialog(java.lang.String title)

  Construct a new FontSelectionDialog object.

Parameters:
  `title` - The title for the dialog.

### FontSelectionDialog

    public FontSelectionDialog(org.gnu.glib.Handle handle)

  Construct a FontSelectionDialog using a handle to a native resource.

Method Detail

### getFontSelectionDialog

    public static FontSelectionDialog getFontSelectionDialog(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getFontName

    public java.lang.String getFontName()

  Gets the currently selected font name.

  Returns:
    The name of the currently selected font.

### setFontname

    public void setFontname(java.lang.String fontName)

  Sets the currently selected font.

  Parameters:
    `fontName` - The name of the font to set as the currently selected font.

### setPreviewText

    public void setPreviewText(java.lang.String text)

  Sets the text displayed in the preview area.

  Parameters:
    `text` - The text to display in the preview area.

### getOKButton

    public Button getOKButton()

  Return the OK Button widget for this Dialog.

  Returns:
    The OK Button.

### getApplyButton

    public Button getApplyButton()

  Return the Apply Button widget for this Dialog.

  Returns:
    The Apply Button.

### getCancelButton

    public Button getCancelButton()

  Return the Cancel Button widget for this dialog.

  Returns:
    The Cancel Button.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.